Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Classes | Public Member Functions | Public Attributes | Private Attributes | List of all members
ACG::SceneGraph::ACG::ShaderGenDesc Class Reference

## Classes
struct | TextureType

## Public Member Functions
QString | toString () const
| convert ShaderGenDesc to string format for debugging
const std::map< size_t, TextureType > & | textureTypes () const
void | addTextureType (GLenum _type, bool _shadow, size_t _stage)
| adds a texture type to the shader and enables texturing. More...
void | clearTextures ()
| disables texture support and removes all texture types
bool | textured () const
void | enableTexGenObjectLinear (int _dim=2)
void | enableTexGenEyeLinear (int _dim=2)
void | enableTexGenSphericalMap (int _dim=2)
void | enableTexGenNormalMap (int _dim=3)
void | enableTexGenReflectionMap (int _dim=3)
void | disableTexGen ()
bool | operator== (const ShaderGenDesc &_rhs) const
QString | toString () const
| convert ShaderGenDesc to string format for debugging
const std::map< size_t, TextureType > & | textureTypes () const
void | addTextureType (GLenum _type, bool _shadow, size_t _stage)
| adds a texture type to the shader and enables texturing. More...
void | clearTextures ()
| disables texture support and removes all texture types
bool | textured () const
void | enableTexGenObjectLinear (int _dim=2)
void | enableTexGenEyeLinear (int _dim=2)
void | enableTexGenSphericalMap (int _dim=2)
void | enableTexGenNormalMap (int _dim=3)
void | enableTexGenReflectionMap (int _dim=3)
void | disableTexGen ()
bool | operator== (const ShaderGenDesc &_rhs) const
QString | toString () const
| convert ShaderGenDesc to string format for debugging
const std::map< size_t, TextureType > & | textureTypes () const
void | addTextureType (GLenum _type, bool _shadow, size_t _stage)
| adds a texture type to the shader and enables texturing. More...
void | clearTextures ()
| disables texture support and removes all texture types
bool | textured () const
void | enableTexGenObjectLinear (int _dim=2)
void | enableTexGenEyeLinear (int _dim=2)
void | enableTexGenSphericalMap (int _dim=2)
void | enableTexGenNormalMap (int _dim=3)
void | enableTexGenReflectionMap (int _dim=3)
void | disableTexGen ()
bool | operator== (const ShaderGenDesc &_rhs) const

## Public Attributes
int | version
int | numLights
ShaderGenLightType | lightTypes [SG_MAX_SHADER_LIGHTS]
ShaderGenShadeMode | shadeMode
bool | vertexColors
QString | vertexTemplateFile
QString | tessControlTemplateFile
QString | tessEvaluationTemplateFile
QString | geometryTemplateFile
QString | fragmentTemplateFile
QStringList | macros
bool | normalizeTexColors
| Defines if the textureVariable is normalized or not, if multiple textures are used.
QString | vertexColorsInterpolator
| interpolation qualifier for input vertex colors: "flat", "smooth", "noperspective"
GLenum | colorMaterialMode
int | texGenDim
GLenum | texGenMode
bool | texGenPerFragment

## Private Attributes
std::map< size_t, TextureType > | textureTypes_
| holds the texture types (second) and the stage id (first). if empty, shader does not support textures

## Detailed Description

Definition at line 89 of file MeshNode2T.cc.

## Member Function Documentation

void ACG::SceneGraph::ACG::ShaderGenDesc::addTextureType | ( | GLenum | _type,
|  | bool | _shadow,
|  | size_t | _stage
| ) |  |
| inline

adds a texture type to the shader and enables texturing.

Definition at line 191 of file MeshNode2T.cc.

void ACG::SceneGraph::ACG::ShaderGenDesc::addTextureType | ( | GLenum | _type,
|  | bool | _shadow,
|  | size_t | _stage
| ) |  |
| inline

adds a texture type to the shader and enables texturing.

Definition at line 191 of file MeshNode2T.cc.

void ACG::SceneGraph::ACG::ShaderGenDesc::addTextureType | ( | GLenum | _type,
|  | bool | _shadow,
|  | size_t | _stage
| ) |  |
| inline

adds a texture type to the shader and enables texturing.

Definition at line 191 of file MeshNode2T.cc.

The documentation for this class was generated from the following file:

- ACG/Scenegraph/MeshNode2T.cc